post
https://csgoempire.com/api/v2/trading/buy-orders
Create a buy order for an item at a maximum price per item
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Create a buy order. Matching items are bought automatically at or below your price until the quantity is filled.
Identify the item with one of item_id, asset_id or item_name. Use item_name with the full market name, for example ★ Sport Gloves | Scarlet Shamagh (Field-Tested), if you don't have the item in your inventory.
coin_value is in coincents, so 100.01 coins is sent as 10001. It is the most you will pay per item, not for the whole order.
The total value of your open buy orders can be up to 10x your current balance. The limit is checked when you create, update or resume a buy order.
Unlike on the website, you don't need to set up notifications before creating buy orders through the API.
Changes to your buy orders are announced on the websocket with the buy_order_update event. Use it instead of polling this endpoint.
